package controller

import (
	"net/http"

	"github.com/gin-gonic/gin"
)

const maxBodyBytes = int64(65536)

func bodySizeMiddleware(c *gin.Context) {
	var w http.ResponseWriter = c.Writer
	c.Request.Body = http.MaxBytesReader(w, c.Request.Body, maxBodyBytes)

	c.Next()
}
